<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/Encoding.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::Encoding</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class Encoding

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Encoding.hh.html" target="detail">../Synopsis/PTree/Encoding.hh</a></div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mEncoding" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line67" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>   <div class="doc"><p>An Encoding represents a mangled (type) name. Here is a quick reference of the grammar:</p>
<ul class="simple">
<li><em>b</em>: boolean</li>
<li><em>c</em>: char</li>
<li><em>w</em>: wchar_t</li>
<li><em>i</em>: int (signed, unsigned)</li>
<li><em>s</em>: short (short int)</li>
<li><em>l</em>: long (long int)</li>
<li><em>j</em>: long long</li>
<li><em>f</em>: float</li>
<li><em>d</em>: double</li>
<li><em>r</em>: long double</li>
<li><em>v</em>: void</li>
<li><em>T</em>: template class (e.g. <em>Foo&lt;int,char&gt;</em> ==&gt; <em>T[3]Foo[2]ic</em>.  <em>[2]</em> means
the length of <em>ic</em>.  It doesn't mean the number of template arguments.</li>
<li><em>e</em>: ...</li>
<li><em>?</em>: no return type.  the return type of constructors</li>
<li><em>*</em>: non-type template parameter</li>
<li><em>S</em>: <em>signed</em></li>
<li><em>U</em>: <em>unsigned</em></li>
<li><em>C</em>: <em>const</em></li>
<li><em>V</em>: <em>volatile</em></li>
<li><em>P</em>: pointer</li>
<li><em>R</em>: reference</li>
<li><em>A</em>: array (e.g. <em>char[16]</em> ==&gt; <em>A16_c</em>)</li>
<li><em>F</em>: function (e.g. <em>char foo(int)</em> ==&gt; <em>Fi_c</em>)</li>
<li><em>M</em>: pointer to member (e.g. <em>Type::*</em> ==&gt; <em>M[4]Type</em>)</li>
<li><em>Q</em>: qualified class (e.g. <em>X::YY</em> ==&gt; <em>Q[2][1]X[2]YY</em>, <em>::YY</em> ==&gt; <em>Q[2][0][2]YY</em>)</li>
<li><em>[x]</em>: means <em>0x80 + x</em></li>
<li><em>0</em>: means <em>::</em> (global scope)</li>
</ul>
<p>Special function names:</p>
<ul class="simple">
<li>operator + ==&gt; +</li>
<li>operator new[] ==&gt; new[]</li>
<li>operator &lt;type&gt; ==&gt; &#64;&lt;encoded type&gt;           cast operator</li>
</ul>
</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Typedefs Summary:</div>
<div class="item"><div class="synopsis">std::basic_string&lt;unsigned&#160;char, <a href="Encoding/char_traits.html" >char_traits</a>&gt; <a class="name" id="Code">Code</a></div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mCode" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line98" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">Code::const_iterator <a class="name" id="iterator">iterator</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_miterator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line99" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Structs Summary:</div>
<div class="item"><div class="synopsis">struct <a href="Encoding/char_traits.html" >char_traits</a></div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line70" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">static</span>&#160;void <a class="name" id="do_init_static_l_r">do_init_static</a>()  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mdo_init_static_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line101" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Encoding_l_r">Encoding</a>()  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mEncoding_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line103" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Encoding_lconst.Code_A_r">Encoding</a>(const&#160;<a href="Encoding.html#Code" >Code</a>&amp; <span class="variable">b</span>)  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mEncoding_lconst.Code_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line104" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Encoding_lconst.char_S_r">Encoding</a>(const&#160;char* <span class="variable">b</span>)  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mEncoding_lconst.char_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line105" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Encoding_lconst.char_S_csize_t_r">Encoding</a>(const&#160;char* <span class="variable">b</span>, size_t <span class="variable">s</span>)  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mEncoding_lconst.char_S_csize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line106" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Encoding_literator_citerator_r">Encoding</a>(<a href="Encoding.html#iterator" >iterator</a> <span class="variable">b</span>, <a href="Encoding.html#iterator" >iterator</a> <span class="variable">e</span>)  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mEncoding_literator_citerator_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line107" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span> <a href="Encoding.html" >Encoding</a> <a class="name" id="simple_name_lconst.Atom_S_r">simple_name</a>(const&#160;<a href="Atom.html" >Atom</a>* <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_msimple_name_lconst.Atom_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line108" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="clear_l_r">clear</a>()  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mclear_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line110" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="empty_l_rconst">empty</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mempty_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line111" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;size_t <a class="name" id="size_l_rconst">size</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_msize_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line112" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Encoding.html#iterator" >iterator</a> <a class="name" id="begin_l_rconst">begin</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mbegin_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line113" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Encoding.html#iterator" >iterator</a> <a class="name" id="end_l_rconst">end</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mend_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line114" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;unsigned&#160;char <a class="name" id="front_l_rconst">front</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mfront_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line115" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;unsigned&#160;char <a class="name" id="at_lsize_t_rconst">at</a>(size_t <span class="variable">i</span>) <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mat_lsize_t_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line116" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;char* <span class="name"><a href="Encoding.html#copy_l_rconst" >copy</a></span>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mcopy_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line120" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>return a copy of the underlaying buffer
FIXME: this is a temporary workaround while there are
still places that use raw strings</p>
</div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="operator_e_e_lconst.Encoding_A_rconst">operator==</a>(const&#160;<a href="Encoding.html" >Encoding</a>&amp; <span class="variable">e</span>) <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_moperator_e_e_lconst.Encoding_A_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line122" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="operator_e_e_lconst.std_mstring_A_rconst">operator==</a>(const&#160;std::string&amp; <span class="variable">s</span>) <span class="keyword">const</span> </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line123" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="operator_e_e_lconst.char_S_rconst">operator==</a>(const&#160;char* <span class="variable">s</span>) <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_moperator_e_e_lconst.char_S_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line124" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="prepend_lunsigned.char_r">prepend</a>(unsigned&#160;char <span class="variable">c</span>)  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mprepend_lunsigned.char_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line126" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="prepend_lconst.char_S_csize_t_r">prepend</a>(const&#160;char* <span class="variable">p</span>, size_t <span class="variable">s</span>)  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mprepend_lconst.char_S_csize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line127" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="prepend_lconst.Encoding_A_r">prepend</a>(const&#160;<a href="Encoding.html" >Encoding</a>&amp; <span class="variable">e</span>)  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mprepend_lconst.Encoding_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line128" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="append_lunsigned.char_r">append</a>(unsigned&#160;char <span class="variable">c</span>)  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mappend_lunsigned.char_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line130" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="append_lconst.char_S_csize_t_r">append</a>(const&#160;char* <span class="variable">p</span>, size_t <span class="variable">s</span>)  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mappend_lconst.char_S_csize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line131" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="append_lconst.Encoding_A_r">append</a>(const&#160;<a href="Encoding.html" >Encoding</a>&amp; <span class="variable">e</span>)  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mappend_lconst.Encoding_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line132" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="append_with_length_lconst.char_S_csize_t_r">append_with_length</a>(const&#160;char* <span class="variable">s</span>, size_t <span class="variable">n</span>)  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mappend_with_length_lconst.char_S_csize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line133" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="append_with_length_lconst.Encoding_A_r">append_with_length</a>(const&#160;<a href="Encoding.html" >Encoding</a>&amp; <span class="variable">e</span>)  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mappend_with_length_lconst.Encoding_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line134" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;unsigned&#160;char <a class="name" id="pop_l_r">pop</a>()  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mpop_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line136" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="pop_lsize_t_r">pop</a>(size_t <span class="variable">n</span>)  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mpop_lsize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line137" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="cv_qualify_lconst.Node_S_cconst.Node_S_r">cv_qualify</a>(const&#160;<a href="Node.html" >Node</a>*, const&#160;<a href="Node.html" >Node</a>* = <span class="value">0</span>)  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mcv_qualify_lconst.Node_S_cconst.Node_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line139" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="simple_const_l_r">simple_const</a>()  </div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_msimple_const_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line140" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="global_scope_l_r">global_scope</a>()  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mglobal_scope_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line141" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="simple_name_lconst.Node_S_r">simple_name</a>(const&#160;<a href="Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_msimple_name_lconst.Node_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line142" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="anonymous_l_r">anonymous</a>()  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_manonymous_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line143" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="template__lconst.Node_S_cconst.Encoding_A_r">template_</a>(const&#160;<a href="Node.html" >Node</a>*, const&#160;<a href="Encoding.html" >Encoding</a>&amp;)  </div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_mtemplate__lconst.Node_S_cconst.Encoding_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line144" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="qualified_lint_r">qualified</a>(int)  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mqualified_lint_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line145" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="destructor_lconst.Node_S_r">destructor</a>(const&#160;<a href="Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mdestructor_lconst.Node_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line146" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="ptr_operator_lint_r">ptr_operator</a>(int)  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mptr_operator_lint_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line147" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="ptr_to_member_lconst.Encoding_A_cint_r">ptr_to_member</a>(const&#160;<a href="Encoding.html" >Encoding</a>&amp;, int)  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mptr_to_member_lconst.Encoding_A_cint_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line148" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="cast_operator_lconst.Encoding_A_r">cast_operator</a>(const&#160;<a href="Encoding.html" >Encoding</a>&amp;)  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mcast_operator_lconst.Encoding_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line149" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="array_l_r">array</a>()  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_marray_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line150" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="array_lunsigned.long_r">array</a>(unsigned&#160;long <span class="variable">s</span>)  </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_marray_lunsigned.long_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line151" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="function_lconst.Encoding_A_r">function</a>(const&#160;<a href="Encoding.html" >Encoding</a>&amp; <span class="variable">e</span>)  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mfunction_lconst.Encoding_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line152" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="recursion_lconst.Encoding_A_r">recursion</a>(const&#160;<a href="Encoding.html" >Encoding</a>&amp; <span class="variable">e</span>)  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mrecursion_lconst.Encoding_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line153" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="start_func_args_l_r">start_func_args</a>()  </div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_mstart_func_args_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line154" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="end_func_args_l_r">end_func_args</a>()  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mend_func_args_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line155" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="void__l_r">void_</a>()  </div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_mvoid__l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line156" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="ellipsis_arg_l_r">ellipsis_arg</a>()  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mellipsis_arg_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line157" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="no_return_type_l_r">no_return_type</a>()  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mno_return_type_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line158" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="value_temp_param_l_r">value_temp_param</a>()  </div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_mvalue_temp_param_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line159" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Encoding.html" >Encoding</a> <span class="name"><a href="Encoding.html#get_scope_l_rconst" >get_scope</a></span>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mget_scope_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line163" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>if this Encoding represents a qualified name,
return the name of the outer scope</p>
</div></div>
<div class="item"><div class="synopsis">&#160;<a href="Encoding.html" >Encoding</a> <span class="name"><a href="Encoding.html#get_symbol_l_rconst" >get_symbol</a></span>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mget_symbol_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line167" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>if this Encoding represents a qualified name,
return the name of the symbol inside the outer scope,
else return the unmodified name</p>
</div></div>
<div class="item"><div class="synopsis">&#160;<a href="Encoding.html" >Encoding</a> <a class="name" id="get_template_arguments_l_rconst">get_template_arguments</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mget_template_arguments_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line168" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;std::string <a class="name" id="unmangled_l_rconst">unmangled</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_munmangled_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line170" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="make_name_l_r">make_name</a>()  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mmake_name_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line172" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="make_qname_l_r">make_qname</a>()  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mmake_qname_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line173" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="make_ptree_lNode_S_r">make_ptree</a>(<a href="Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mmake_ptree_lNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line174" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="is_simple_name_l_rconst">is_simple_name</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mis_simple_name_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line175" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="is_global_scope_l_rconst">is_global_scope</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mis_global_scope_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line176" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="is_qualified_l_rconst">is_qualified</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mis_qualified_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line177" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="is_function_l_rconst">is_function</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mis_function_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line178" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="is_template_l_rconst">is_template</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mis_template_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line179" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="name_to_ptree_l_r">name_to_ptree</a>()  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mname_to_ptree_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line180" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">friend</span>&#160;bool <a class="name" id="operator_L_lconst.Encoding_A_cconst.Encoding_A_r">operator&lt;</a>(const&#160;<a href="Encoding.html" >Encoding</a>&amp;, const&#160;<a href="Encoding.html" >Encoding</a>&amp;)  </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_moperator_L_lconst.Encoding_A_cconst.Encoding_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line182" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">friend</span>&#160;std::ostream&amp; <a class="name" id="operator_L_L_lstd_mostream_A_cconst.Encoding_A_r">operator&lt;&lt;</a>(std::ostream&amp;, const&#160;<a href="Encoding.html" >Encoding</a>&amp;)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line183" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="bool_t">bool_t</a></div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mbool_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line192" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="char_t">char_t</a></div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line192" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="wchar_t_t">wchar_t_t</a></div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_mwchar_t_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line192" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="int_t">int_t</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mint_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line192" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="short_t">short_t</a></div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_mshort_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line192" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="long_t">long_t</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mlong_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line192" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="float_t">float_t</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mfloat_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line192" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="double_t">double_t</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mdouble_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line193" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="void_t">void_t</a></div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_mvoid_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line193" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="signed_t">signed_t</a></div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_msigned_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line195" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="unsigned_t">unsigned_t</a></div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_munsigned_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line195" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="const_t">const_t</a></div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mconst_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line195" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="volatile_t">volatile_t</a></div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_mvolatile_t" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line195" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="operator_name">operator_name</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_moperator_name" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line197" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="new_operator">new_operator</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mnew_operator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line197" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="anew_operator">anew_operator</a></div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_manew_operator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line197" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="delete_operator">delete_operator</a></div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mdelete_operator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line197" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="adelete_operator">adelete_operator</a></div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_madelete_operator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line198" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="star">star</a></div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_mstar" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line200" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="ampersand">ampersand</a></div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mampersand" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line200" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="comma">comma</a></div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mcomma" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line200" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="dots">dots</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mdots" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line200" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="scope">scope</a></div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_mscope" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line200" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="tilder">tilder</a></div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mEncoding_mtilder" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line200" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="left_paren">left_paren</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mleft_paren" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line200" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="right_paren">right_paren</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mright_paren" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line201" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="left_bracket">left_bracket</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mleft_bracket" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line201" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="right_bracket">right_bracket</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mright_bracket" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line201" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="left_angle">left_angle</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mleft_angle" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line201" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>* <a class="name" id="right_angle">right_angle</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mright_angle" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line202" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<a href="Encoding.html#iterator" >iterator</a> <a class="name" id="end_of_scope_l_rconst">end_of_scope</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mend_of_scope_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line187" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="Encoding.html#Code" >Code</a> <a class="name" id="my_buffer">my_buffer</a></div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mmy_buffer" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line189" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Public Member functions Details:</div>
<div class="item"><div class="synopsis">&#160;const&#160;char* <a class="name" id="copy_l_rconst">copy</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mcopy_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line120" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>return a copy of the underlaying buffer
FIXME: this is a temporary workaround while there are
still places that use raw strings</p>
</div></div>
<div class="item"><div class="synopsis">&#160;<a href="Encoding.html" >Encoding</a> <a class="name" id="get_scope_l_rconst">get_scope</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mget_scope_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line163" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>if this Encoding represents a qualified name,
return the name of the outer scope</p>
</div></div>
<div class="item"><div class="synopsis">&#160;<a href="Encoding.html" >Encoding</a> <a class="name" id="get_symbol_l_rconst">get_symbol</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref6.html#Synopsis_mPTree_mEncoding_mget_symbol_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Encoding.hh.html#line167" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>if this Encoding represents a qualified name,
return the name of the symbol inside the outer scope,
else return the unmodified name</p>
</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:44 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
